# Uses of Interface
org.eclipse.net4j.util.container.IElementProcessor

Packages that use IElementProcessor
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of IElementProcessor in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container that return types with arguments of type IElementProcessor
Modifier and Type
Method
Description
`protected List<IElementProcessor>`
ManagedContainer.`createPostProcessors()`
`List<IElementProcessor>`
IManagedContainer.`getPostProcessors()`
`List<IElementProcessor>`
ManagedContainer.`getPostProcessors()`
Methods in org.eclipse.net4j.util.container with parameters of type IElementProcessor
Modifier and Type
Method
Description
`void`
IManagedContainer.`addPostProcessor(IElementProcessor postProcessor)`
`void`
IManagedContainer.`addPostProcessor(IElementProcessor postProcessor, boolean processExistingElements)`
`void`
ManagedContainer.`addPostProcessor(IElementProcessor postProcessor)`
`void`
ManagedContainer.`addPostProcessor(IElementProcessor postProcessor, boolean processExistingElements)`
`void`
IManagedContainer.`removePostProcessor(IElementProcessor postProcessor)`
`void`
ManagedContainer.`removePostProcessor(IElementProcessor postProcessor)`

## Uses of IElementProcessor in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement IElementProcessor
Modifier and Type
Class
Description
`class`
`ChallengeNegotiatorConfigurer`
`class`
`ResponseNegotiatorInjector`